Bug 1125261 - dnssec-trigger-script: use fcntl.flock instead of lockfile
Summary: dnssec-trigger-script: use fcntl.flock instead of lockfile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnssec-trigger
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Šimerda (pavlix)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 13:03 UTC by Pavel Šimerda (pavlix)
Modified: 2014-10-23 06:23 UTC (History)
5 users (show)

Fixed In Version: dnssec-trigger-0.12-14.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-23 06:23:25 UTC


Attachments (Terms of Use)
fix (1.88 KB, patch)
2014-07-31 13:04 UTC, Pavel Šimerda (pavlix)
no flags Details | Diff

Description Pavel Šimerda (pavlix) 2014-07-31 13:03:55 UTC
Python lockfile module fails to handle stale locks and apart from that is not part of the standard library. Let's use fcntl.flock instead.

Comment 1 Pavel Šimerda (pavlix) 2014-07-31 13:04:57 UTC
Created attachment 922912 [details]
fix

Patch submitted upstream.

Comment 2 Fedora Update System 2014-09-26 13:58:00 UTC
dnssec-trigger-0.12-14.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnssec-trigger-0.12-14.fc20

Comment 3 Fedora Update System 2014-09-27 09:50:51 UTC
Package dnssec-trigger-0.12-14.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnssec-trigger-0.12-14.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11621/dnssec-trigger-0.12-14.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-10-23 06:23:25 UTC
dnssec-trigger-0.12-14.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.